import { AnnotationLayer } from "./AnnotationLayer";
import { Axis } from "./Axis";
import { DataToolTipLayerGroupingMode } from "igniteui-react-core";
import { Series } from "./Series";
import { Rect } from "igniteui-react-core";
import { Point, Type } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { DataTooltipGroupedPositionX } from "igniteui-react-core";
import { DataTooltipGroupedPositionY } from "igniteui-react-core";
import { DataAbbreviationMode } from "igniteui-react-core";
import { DataLegendValueMode } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { DataLegendHeaderDateMode } from "igniteui-react-core";
import { DataLegendHeaderTimeMode } from "igniteui-react-core";
import { DataLegendSummaryType } from "igniteui-react-core";
import { LegendItemBadgeShape } from "igniteui-react-core";
import { DataLegendUnitsMode } from "igniteui-react-core";
import { DataLegendLabelMode } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { IDataLegend } from "igniteui-react-core";
import { Frame } from "./Frame";
import { Pool$1 } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { PointerTooltip } from "./PointerTooltip";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class DataToolTipLayer extends AnnotationLayer {
    static $t: Type;
    protected bc(): Series;
    protected get_d6(): boolean;
    constructor();
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    protected xv: DataToolTipLayerView;
    protected get_eh(): boolean;
    xb: Axis;
    yp: boolean;
    xt: DataToolTipLayerGroupingMode;
    private xr;
    get xs(): DataToolTipLayerGroupingMode;
    set xs(a: DataToolTipLayerGroupingMode);
    private xu;
    protected pa(a: any, b: string, c: any, d: any): void;
    private yt;
    private yu;
    private acb;
    acf(a: string, b: any): void;
    private acc;
    protected vt(a: Axis, b: boolean): void;
    protected vu(a: Series, b: boolean): void;
    protected vw(a: Frame, b: SeriesView): void;
    private yv;
    private xa;
    private xw;
    n9(): void;
    oa(): void;
    get aef(): Rect;
    get aee(): Rect;
    get aed(): Rect;
    get aeh(): Rect;
    private aeg;
    private yl;
    private yi;
    private yj;
    private yk;
    private zo;
    private zm;
    private zn;
    private zx;
    private zv;
    private zw;
    private zr;
    private zp;
    private zq;
    private y7;
    private y9;
    private y8;
    private zg;
    private zi;
    private zh;
    private zd;
    private zf;
    private ze;
    private y3;
    private za;
    private zb;
    private zc;
    private y4;
    private y5;
    private y6;
    private zl;
    private zk;
    private zj;
    private zu;
    private zt;
    private zs;
    private y2;
    private aec;
    private y1;
    private y0;
    private w5;
    private w4;
    private ym;
    private yn;
    private aca;
    private yg;
    private ace;
    private acd;
    private z0;
    protected vz(a: Frame, b: SeriesView): void;
    protected fn(): boolean;
    yy: number;
    yz: number;
    yw: number;
    yx: number;
    xl: DataTooltipGroupedPositionX;
    private xj;
    get xk(): DataTooltipGroupedPositionX;
    set xk(a: DataTooltipGroupedPositionX);
    private xm;
    xp: DataTooltipGroupedPositionY;
    private xn;
    get xo(): DataTooltipGroupedPositionY;
    set xo(a: DataTooltipGroupedPositionY);
    private xq;
    yo: boolean;
    w8: string[];
    w3: string[];
    w7: string[];
    w2: string[];
    xc: DataAbbreviationMode;
    zy: number;
    zz: number;
    xi: DataLegendValueMode;
    abt: string;
    yq: boolean;
    abz: string;
    w9: any[];
    aeq: Thickness;
    yr: boolean;
    ab8: string;
    ys: boolean;
    aer: Thickness;
    aeb: Brush;
    private x6;
    get yf(): FontInfo;
    set yf(a: FontInfo);
    aah: string;
    w6: any[];
    aad: string;
    xd: DataLegendHeaderDateMode;
    xe: DataLegendHeaderTimeMode;
    aam: string;
    ad3: Brush;
    aek: Thickness;
    aej: Thickness;
    yh: boolean;
    private xy;
    get x7(): FontInfo;
    set x7(a: FontInfo);
    ad6: Brush;
    private x1;
    get ya(): FontInfo;
    set ya(a: FontInfo);
    xg: DataLegendSummaryType;
    aa5: string;
    aen: Thickness;
    aem: Thickness;
    ad8: Brush;
    private x3;
    get yc(): FontInfo;
    set yc(a: FontInfo);
    aa0: string;
    ad5: Brush;
    private x0;
    get x9(): FontInfo;
    set x9(a: FontInfo);
    abb: string;
    ad7: Brush;
    private x2;
    get yb(): FontInfo;
    set yb(a: FontInfo);
    aei: Thickness;
    xx: LegendItemBadgeShape;
    xh: DataLegendUnitsMode;
    abm: string;
    aea: Brush;
    aep: Thickness;
    private x5;
    get ye(): FontInfo;
    set ye(a: FontInfo);
    aeo: Thickness;
    ad9: Brush;
    private x4;
    get yd(): FontInfo;
    set yd(a: FontInfo);
    xf: DataLegendLabelMode;
    ad4: Brush;
    ael: Thickness;
    private xz;
    get x8(): FontInfo;
    set x8(a: FontInfo);
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class DataToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: DataToolTipLayer);
    b9: Pool$1<any>;
    ak(): void;
    protected cc: List$1<PointerTooltip>;
    private cd;
    private cf;
    private ch;
    private cg;
    protected b7: DataToolTipLayer;
    private ca;
    au(): void;
    private _htmlTest;
    protected get htmlTest(): any;
    protected set htmlTest(a: any);
    cb(a: any, b: Series): boolean;
    cq(a: any): Size;
    cp(): Rect;
    co(): Rect;
    cn(): Rect;
    cm(a: Point): Point;
    ck(a: any, b: number, c: number, d: number, e: number): void;
    cr(): Size;
    ci(a: any): void;
    cl(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    b8(a: any): IDataLegend;
    cj(a: boolean): void;
}
